import win32com.client

# Open Microsoft Excel
def create_etab():
    excel = win32com.client.DispatchEx("Excel.Application")
    excel.DisplayAlerts = False
    return excel

def create_distributor_file(file_name, work_dir, list_name, distr_name, app):
    wb = app.Workbooks.Open(file_name)
    ws = wb.Worksheets(list_name)    
    ws.Cells(2, 1).Value = distr_name
    app.CalculateUntilAsyncQueriesDone()    
    wb.SaveAs(Filename=f'{work_dir}{distr_name}_{file_name}')
    wb.Close()


def refresh_file(file_name, app):
    wb = app.Workbooks.Open(file_name)
    wb.RefreshAll()
    app.CalculateUntilAsyncQueriesDone()
    wb.Save()
